## audioamplify audioamplify — Amplifies an audio stream by a given factor |

## Properties

gfloat | amplification | Read / Write
GstAudioPanoramaClippingMethod | clipping-method | Read / Write

## Types and Values

struct | GstAudioAmplify

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseTransform
                    ╰── GstAudioFilter
                        ╰── GstAudioAmplify

## Description

Amplifies an audio stream by a given factor and allows the selection of different clipping modes. The difference between the clipping modes is best evaluated by testing.

### Example launch line

    1
    2
    3
    gst-launch audiotestsrc wave=saw ! audioamplify amplification=1.5 ! alsasink
    gst-launch filesrc location="melo1.ogg" ! oggdemux ! vorbisdec ! audioconvert ! audioamplify amplification=1.5 method=wrap-negative ! alsasink
    gst-launch audiotestsrc wave=saw ! audioconvert ! audioamplify amplification=1.5 method=wrap-positive ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audiofx
author | Sebastian Dröge <slomo@circular-chaos.org>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, depth=(int)8, width=(int)8, endianness=(int)1234, signed=(boolean)true, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-int, depth=(int)16, width=(int)16, endianness=(int)1234, signed=(boolean)true, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-int, depth=(int)32, width=(int)32, endianness=(int)1234, signed=(boolean)true, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-float, width=(int){ 32, 64 }, endianness=(int)1234, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | audio/x-raw-int, depth=(int)8, width=(int)8, endianness=(int)1234, signed=(boolean)true, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-int, depth=(int)16, width=(int)16, endianness=(int)1234, signed=(boolean)true, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-int, depth=(int)32, width=(int)32, endianness=(int)1234, signed=(boolean)true, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-raw-float, width=(int){ 32, 64 }, endianness=(int)1234, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstAudioAmplify

    struct GstAudioAmplify;

## Property Details

### The `“amplification”` property

      “amplification”            gfloat

Factor of amplification.

Flags: Read / Write

Default value: 1

### The `“clipping-method”` property

      “clipping-method”          GstAudioPanoramaClippingMethod

Clipping method: clip mode set values higher than the maximum to the maximum. The wrap-negative mode pushes those values back from the opposite side, wrap-positive pushes them back from the same side.

Flags: Read / Write

Default value: Normal clipping (default)